+++
title = 'Internet problems'
date = 2024-03-18T09:46:58Z
+++

I mentioned yesterday that I live on a farm, and it's generally pretty nice. I get to wake up hearing the birds and chickens, I look out my window and see trees and a small lake with fish, ducks, and often a heron or two. There's lots of cool birds of prey around. At the moment there's a Barn Owl and two Red Kites (I think they're super cool, I'll try and get a picture one day), but I've seen a Merlin, Sparrowhawks (my favourite bird thanks to Le Guin), Buzzards, and plenty of Kestrels (did you know they're also called [windfuckers](https://en.wiktionary.org/wiki/windfucker)). We also get geese visiting every year for their mating season. Right now there's 4 pairs of them hanging around the lake and a couple more pairs that I see around the fields while walking the dogs.

Unfortunately there's one big thing that *sucks* about living here. The internet connection speed. We have no wired broadband connection at all. Sure there's a fibre line along the road, but that's almost a kilometer away and getting connected to that isn't cheap. Besides my family doesn't actually own the farm, we're just tenants in one of the farmhouses, we'd need to convince the farmer to have it installed.

So what do we do for internet? We have a mobile 4G connection. It mostly works okay enough for the basics, but it's wildly inconsistent. Last year I did some research into how to setup a mobile broadband connection for best results, and we went from a relatively unstable 10-15mbps up/down to a fairly consistent 40-75mbps up/down. A huge improvement! I know that speed might not be anything special for a lot of people, if you live in a city you might even think that speed is awful idk, but for us it was an insane difference. I could watch youtube at 1080p60fps, watch Twitch livestreams, and use streaming services without buffering. It was fantastic, but now it's bad again.

About 4 or 5 months ago the internet started getting slower again. It wasn't too big of a deal to begin with, we dropped to around 25-30 mbps which was still way more usable than what we had before. In the last month however it's been *really* bad. As far as I can tell nothing has changed with our setup, but we rarely hit 15mbps and are more commonly around 5 or below. Sometimes worse.

{{< figure src="speedtest.jpg#center" caption="It took multiple tries to load the speedtest :)">}}

This isn't usable anymore. I work from home two days a week, so does my brother, and my mother also works from home sometimes. It's hard to get work done when you often have to wait 5-10s for a page to load. I'm going to spend some time researching my options and hopefully I'll be back in a week or two with the good news that I suddenly have ultra gigabit bazooka internet.