+++
title = 'Weeknotes 2024: 12/52'
date = 2024-03-25T09:26:23Z
+++

It's only the second week and I'm already late posting. Though I guess I can post whenever so it's not really late at all. It was my sister's birthday yesterday, and also her daughters birthday party (my niece's birthday is next week). Spending 2 hours at a trampaline park with kids is extremely exhausting and I just couldn't be bothered to write last night.

On Monday I posted about my [internet problems](/blog/internet-problems) and fortunately we're doing a little bit better on that front now. I won't go into too much detail here, but the gist is that mobile routers generally use two antennas and they work together to align signals. The result of using 2 is generally much better than just doubling the single antenna signal. It seems like the connection port of one of our antennas is bent and unreliable. I did some fiddling and things got better but it's just a temporary fix. I still need to resolve it more permanently.

I didn't do much personal project stuff Tuesday/Wednesday/Thursday, but work was more interesting than usual. My job isn't really a developer role, I'm primarily working with a proprietary scripting language for one of the application suites we use or doing configuration work. Last year we had a customer who really wanted a progressive web app (PWA) to go along with the main service they purchased. They didn't really *need* the PWA (in fact it was guaranteed to produce a worse experience than using the normal service), and it was a one off small sale so the company didn't want to take a dev away to work on it. That meant I got to spend a couple weeks learning Flutter and using Firebase which was fun. 

Recently they've been having some issues with push notifications not working so this week I came back to the project to work it out. Turns out it's entirely my fault sort of. On every platform I tested on during development, if you requested push notification permissions and permissions had already been granted you would get told that permission was granted. Sounds reasonable right? "Hey can I send these?", "Yeah you already asked you're good". Apple phones don't do that though. Or rather they do, until you restart your phone and then suddenly they don't and you just get told permission is denied. I had limited access to Apple devices for testing, and I'd only checked with force closing the app, not restarting. It was an easy fix in the end, Firebase's messaging service provides a way to query the current permissions state so now I only request permissions if we don't already have them. Although ultimately the fix was easy, it was still annoying to track down. Apple's support of PWAs is... poor. Working on the project provided a nice change though.

The weather has been getting a bit better now that we're starting to enter True Spring, so I can begin cycling again without feeling so cold. I did some short rides Tuesday and Wednesday. I'm planning to do a bikepacking trip in the summer so I need to work on building my distance up again. When I was cycling last year it was pretty much the only form of exercise I did. I think I'm fitter now than I was then, but with all the walking I do now I'm surprisingly tired when I find time to ride. I probably need to eat more or something.

I don't remember if I mentioned it last week, but I only work 3 days a week. Mondays, Fridays I have off (and the weekend). I'm trying to keep up the habit of doing speedrunning Friday mornings, so I streamed again for a bit. I ended up cutting it short because of some technical troubles. I'm a linux user ([I use Arch btw](https://knowyourmeme.com/memes/btw-i-use-arch)) and earlier in the week I updated my system to use Wayland rather than X11. It's been a fairly positive experience for the most part, but it broke my window/display captures in [OBS](https://obsproject.com/) and my stream hotkeys seem to not always work. I lost a lot of time trying to fix things and getting distracted. I didn't get a PB but I'm getting more familiar with the route for the game I'm running at the minute.

The rest of the day and most of Saturday I spent revisiting [my voxel raycaster](https://mastodon.gamedev.place/@Jayrude/109410043999048580). Just tidying up some things and refamiliarising myself with it. I want to keep working on it and maybe implement some other rendering techniques at some point. I don't have any plans for a game here, I'm just interested in voxel rendering and compression.