+++
title = 'Weeknotes 2024: 14/52'
date = 2024-04-08T06:55:41+01:00
+++

As expected I'll be moving to a full 5 days of work for the next 3 months. I need to start making better use of my mornings and evenings now I think. I get up at 6:00 with my dog, and the rest of my family isn't up until about 7:45 so I have a fair amount of time to do things. A while back I tried using this time to work on custom levels for the Thief series, but it didn't last very long. It's been 4 years since my last Thief level release, and as much as I want to finish some of my in-progress missions I think I'm just going to accept that I don't have enough interest in it to commit the hours to working on them.

I carried on working on voxel stuff. The project never had any direction previously, it was just me vaguely working on an engine based off one of the papers I have. I don't have any real interest in making a voxel game, so engine progress was slow and pretty meaningless because there was nothing driving it. In the end I decided I wanted to focus on comparison of rendering techniques. Memory usage, rays per second, modification speed, etc. I have a list of some of the techniques I want to implement, and I've started stripping out some of the less relevant parts of the current codebase and working towards a nice setup where I can just implement a generic renderer. I'm pretty happy with the progress. Even if nothing has changed visually so far, it feels like a good direction that I can stay more motivated with. Maybe eventually I'll use it as a base for an actual game/engine.

Cycling progress is still slow. The weather is still too bad, but now in a different way. The past few months it was too cold, and too wet. Now it's warmer and dryer (though I don't really mind cycling in the rain tbh), but the wind is awful. I live in a really flat and open area of England, so when it's windy there's no protection. As much as I enjoy cycling in general, there's nothing fun about it when the wind is 50+ kph. It's also fairly dangerous at that point. A gusting crosswind could easily put me in a ditch, or into a car overtaking me, or into oncoming traffic. This past weekend was the result of a storm, so I'm hoping it's better this week. I'm seeing some friends for a meal on friday. It's in the next town over, about 15km, so that should be a nice relatively easy ride.

I'm still on my re-read of the Wheel of Time. I finished Towers of Midnight on tuesday and I'm just over 400 pages indo A Memory of Light now. If I read fast I might finish the series this week, but more likely it will be next week. As I've been reading I had some vague ideas for a roguelike taking inspiration from the magic and world of the Wheel of Time. I'll probably never make it, but it's still nice to think about.

I've been playing an increasing amount of Minecraft recently. I've been trying to find something "new" to become my go to game. For the last 9 (!!) years that's been League of Legends, but that's going to come to an end soon. I love the game, though for my sanity I mostly play ARAM mode and often have chat disabled. If I could I'd continue playing. Unfortunately the game is implemented a kernel level anti-cheat called Vanguard, the same one used in Riot's other big game Valorant. Vanguard is Windows only, and all attempts to bypass using it on other platforms have failed in the past (wine, vms, etc.). I'm Linux only, and as much as I like League I'm not going to install Windows just to play it. So I've been playing Minecraft instead. There's a modpack I like that brings the game to a sort of extended midgame and removes or rebalances a lot of more endgame parts to give a nicer progression. The packs called [Musketeer](https://www.curseforge.com/minecraft/modpacks/musketeer), I'd recommend giving it a try, or at least reading it's description if you're familiar with the game.

{{< figure src="minecraft.png#center" caption="My current hardcore world. The paths to the right lead to my mine in the mountain. I made that stream by hand :)">}}