+++
title = 'Weeknotes 2024: 15/52'
date = 2024-04-15T16:46:25+01:00
+++

This was a good week. I got some work done on my projects, played Minecraft, and went out for a meal with some friends. My niece was on holiday for a couple days which gave me a nice calm break, which I appreciated.

There's still no visual changes to the voxel project, hopefully I'll have something to show again soon. I made some minor progress in regards to decoupling the world manager and renderer. Part of that involved making the world manager able to return arbitrarily sized regions of voxels, but so far this has ended up making everything much slower so I may rethink how I'm doing things again. I also did some more planning around how the various parts will interface and I'm pretty happy with it so far.

The Minecrafting has been going well. I've still not died in my hardcore world and I've built some extra farms and begun working on a proper mine building and rail route down to the various mining levels. I won't bother putting any screenshots here this time because there's not a huge amount of new finished stuff. Next week I should have a couple things to show though.

This post was originally going to be written in the morning before work, but on sunday I reached one of the more well known chapters of the Wheel of Time, The Last Battle. In my edition of the final book this chapter is a whopping 221 pages! I read about half of it on sunday evening, and across my morning and work breaks I've just gotten around to finishing the second half. Not long left until the end of the series now. Although, it's just occured to me that I've not read the prequel novella yet so I also have that to look forward to. I'm not sure what I'll read after I'm done. I'm tempted to take a small reading break, but I just hit a years streak of reading everyday and I'd like to keep that going. The [r/fantasy subreddit's 2024 bingo challenge](https://www.reddit.com/r/Fantasy/comments/1bt4iqf/official_rfantasy_2024_book_bingo_challenge/) just started which I think I'll take part in. I've never tried it before, but it seems like a fantastic way to push myself to reading a wider variety of fantasy and sci-fi. It'll be a nice change of pace from a big long epic fantasy series. I might even post some reviews of the books I read.

Cycling season is finally starting to pick up. There's been a couple days without wind and of a decent temperature so I've been about to get out a little bit. It's still kind of a rollercoaster though. Today for example it's been pretty windy (about 45kph) and alternating between sun, clouds, and hail (???). Hopefully as we move further into spring things will calm down and I can get a more consistent cycling schedule down.

I started experimenting with a new desktop GUI toolkit in the evenings called [Slint](https://slint.dev/). It's made by some ex-Qt developers and it's pretty nice. The licensing is kind of messy, but I'm not planning on doing anything commercial with it so I can use it under GPLv3. The core of it is a Domain Specific Language similar to QML, and there are APIs for Rust, C++, NodeJS, and Python. I've been on a Rust kick recently so I'm of course using Rust. I haven't done a whole lot of interaction with my GUI from the Rust side yet, but I've been building out a mockup GUI for a 3d level editor style tool to replace [Dromed](https://thief.fandom.com/wiki/DromEd). I'm not actually planning to make a functional tool, it woul take way too much time. It's just that I have a good amount of experience using the editor and it's fun to imagine a more modern interface for it. Learning a new piece of tech is always easier if you have something to make it for, even if that thing isn't real.

{{< figure src="slint-gui.png#center" caption="A prototype GUI for my fictional Dromed replacement. I'm still working on the styling and functionality.">}}