+++
title = 'Weeknotes 2024: 21/52'
date = 2024-05-26T19:36:17+01:00
+++

## Programming
I haven't really spent much any time on my existing projects this week. I've been feeling pretty drained after work recently so I decided to slow it down and just do some super low effort messing around with new things.

Games engines are cool and even though I never actually make any games, I still like to try out new engines every now and then. This week I gave [Comfy Engine](https://comfyengine.org/) a bit of a go. It's a super simple engine inspired by things like [raylib](https://www.raylib.com/) which I've used and enjoyed previously. One thing that's nice about it is that it has an integration with [LDtk](https://ldtk.io/) for level editing. I've used LDtk before too and it's a super nice tool. I didn't end up making anything worth showing here, and I probably won't spend much more time using it, but it seems like a very solid engine to get started making games quickly in Rust.

Last year I made an app at work that used Google's [Firebase](https://firebase.google.com/) platform. There's a site I want to make for the Thief (the game not the crime) community that would benefit from using it, but I don't want to be tied to Google. I came across [Supabase](https://supabase.com/) which is an open-source self-hostable alternative to Firebase. It's super early and I've barely started writing any code for it, but currently I'm building the site with [Astro](https://astro.build/) in server side rendered mode with Supabase for the backend.

## Reading
[The Spear Cuts Through Water by Simon Jimenez](https://app.thestorygraph.com/books/423e819b-8fe6-4b7c-8980-d34909a4db8a) is finished, and I'm very happy with it. My general thoughts are pretty much the same as last week so I won't repeat them too much. The stage play element got tied in to the main events in a satisfying way and the love story came more to the forefront (we got gay sex (sort of) lets go). Definitely recommend reading it.

Last night I started reading [A Memory Called Empire by Arkady Martine](https://app.thestorygraph.com/books/64ddadda-b4ab-4f8d-9f7d-5fc1d5930cfd). I only managed to read the prologue which is about 20 pages, so I don't really have anything to say about it yet. Due to my Wheel of Time re-read taking so long I haven't read any sci-fi since September, and I'm looking forward to digging into a space opera. My copy of the book has a quote from [Ann Leckie](https://en.wikipedia.org/wiki/Ann_Leckie) on the front which I'm hoping is a good sign. I loved her Imperial Radch trilogy. I'll have more to say about this next week.

## Other

I almost didn't write this post today. We've had shit weather and there was a bit of a storm earlier. Stupidly I decided that would be a good time to run a large system update. About half-way through our power went out momentarily and unfortunately a good chunk of the packages being updated got corrupted in some way and I had to spend 2 hours in a live-boot USB of my OS trying to fix everything. I managed to get it all working in the end but man it was tedious.

Calliope is in season for the first time and it's bloody annoying. She's constantly playing up and whines more than usual. I was hoping to get her spayed before this point but our vet recommended us to wait until she had her first season then get it done at the midpoint before the next one. So in about 3 months she'll be spayed and we won't have to worry about this again. Unfortunately this meant we had to skip the last of this batch of training classes yesterday and she didn't get her "graduation" picture. Tragic.

I played [Animal Well](https://www.animalwell.net/) this week and it's very good. I finished the mainline game and I'm starting to slowly work my way through the post-game secrets and stuff. I also purchased the [Humble Metroidvania Mania Bundle](https://www.humblebundle.com/games/metroidvania-mania) and got charged twice so I'm waiting for a refund on one of those. I already own [Axiom Verge](https://www.axiomverge.com) and [Axiom Verge 2](https://www.axiomverge2.com/) on another store (Epic I think) but it's nice to get a Steam key too. I'm not sure which of the other games in the bundle I'm going to start with yet, they all look pretty good.