+++
title = 'Fitness Apps'
date = 2024-05-10T19:08:32+01:00
+++

Currently I use [Strava](https://www.strava.com/) for tracking activities, [Komoot](https://www.komoot.com/) for planning cycling routes, and the Bryton Active app for syncing routes from Komoot to my cycling computer, and syncing cycling sessions up to Strava. This works for now because I'm only walking and cycling, and I haven't really been caring about the stats.

Over the summer I want to start taking things a little more seriously. Not hyper insane, but I want to see more stats. I'm also planning to start doing other exercise like swimming and light calisthenics workouts so I want to use something with good support for that. I don't really care about "community" stuff otherwise I'd probably commit more to Strava. I might end up doing that anyway.

I've done a little bit of research and I've found a few things of potential interest:
- [GoldenCheetah](https://www.goldencheetah.org/): Super detailed cycling stats and performance tracking, as well as running and swimming support (maybe others?)
- [OsmAnd](https://osmand.net/): Google maps alternative with offline navigation and points of interest
- [wger](https://wger.de/): Self-hosted workout, nutrition, and weight tracker
- [OpenTracks](https://opentracksapp.com/): Privacy first mobile activity tracking

My ideal would be a self-hosted system with a high quality mobile and desktop app. It would have built-in recommended workout plans. There would be an activity recorder for Walk/Run/Cycle/Swim/Workout as well as decent stats where I can compare over time to see improvements. A route planner would be super useful too. I'd also like a configurable streak counter, those always seem to be the best thing for motivating me. Finally I'd want some basic integration with my current gear and apps. I'm not talking seeing my friends activities from Strava or anything, just syncing activities to it, pulling sessions from my cycle computer, and routes from Komoot (though this wouldn't be needed if there was a good route planner).

I don't think there's an app out there that hits all these points for me, but I'd love to find out that there is. I'm also not going to pretend I could make this myself, but that would be a nice longterm goal.