+++
title = 'GNU Stow'
date = 2024-03-17T21:16:06Z
draft = true
+++

I watched [this video](https://youtu.be/y6XCebnB9gs) last night. It describes a nice way to manage *NIX dotfiles using [GNU Stow](https://www.gnu.org/software/stow/). I've tried keeping a repo of dotfiles before but I did it in a really naive way and it sucked so I stopped. My "system" for managing my dotfiles was that I'd manually copy any dotfiles I wanted to update over to the repo, and if I wanted to restore them on another system or whatever I'd clone the repo, then manually move the files to the appropriate spot. It was tedious and so I just didn't do it.

GNU Stow is a tool for managing symlinks. Symlinks! Why didn't I think of that before? That would have allowed me to make all my changes in the repo and have it reflected automatically in the appropriate "real" location. Of course I'd have had to manually create the symlinks in the first place, but once that's done it's all nice and automatic. What GNU Stow does to help is make the symlink creation automatic! So now it's all automatically automatic!! It sounds great, I want to go try it.

***

- Actually try it out and link to my dotfiles repo!
- Is it good?
- I only have 1 computer, I barely use my laptop. Is it really useful for me? (yes)
- Maybe I should go further and use NixOS and have a repo for my nix setup!