+++
title = 'Weeknotes 2024: 17/52'
date = 2024-04-29T17:37:26+01:00
+++

We're so back. Felt like crap last week and couldn't be bothered to write. I didn't do a whole lot anyway (due to feeling like crap).

I'll start with what I've done most, reading! Since the last post I finished A Memory of Light and read New Spring so now I'm done with the Wheel of Time (ok there's some short stories and history books but I cba). After that I went through the [r/fantasy bingo recommendations](https://www.reddit.com/r/Fantasy/comments/1bt4km0/the_2024_rfantasy_bingo_recommendations_list/) and started picking out some things to read. You can keep track of my progress [here](https://docs.google.com/spreadsheets/d/18dBZa0JsWhhBlgpEbhmMWendaeXtRf31uXdE2UMLOMw/edit?usp=sharing) if you want. I'm thinking about writing review posts to complete Hero Mode, but I've not decided yet. For now I'll just give quick overviews and spoiler free descriptions of what I read in these weekly notes.

The first post WoT book I read was [The Adventures of Amina al-Sirafi by Shannon Chakaborty](https://app.thestorygraph.com/books/b7e49888-6582-4d09-b330-1615ac1852b9) which was very solid. It's about a retired pirate who has to un-retire and collect her old crewmates for one last job. There's an interesing mix of cultures, peoples, and religions along with magical creatures and artifacts. Surprisingly there's also quite a lot of lgbt representation which I wasn't expecting going in at all. I picked this book purely based off of the cover and didn't even read the blurb, so really I didn't have many expectations at all. Currently there's just the one book but I'm fairly sure this is intended to be a series so I'll be keeping an eye out for more of Amina.

After Amina I read [The Book that Wouldn't Burn by Mark Lawrence](https://app.thestorygraph.com/books/868f1415-35ad-4a13-8728-e4e30033f6c4) which I loved. The book is set in and around an infinite library and tells the story of Livira and Evar and their brief but meaningful interactions. As the book goes on the world expands massively and very satisfyingly. This one isn't actually part of my bingo sheet, but I saw it as a recommendation for the same category as Amina and I've read Lawrence's [The Broken Empire](https://app.thestorygraph.com/series/1660) trilogy before so I figured it would be a good read. Turns out this is part of a series and the second book came out a couple weeks ago, so I'm going to read that for the Published in 2024 bingo square. Super recommend this one.

Right now I'm reading [The Goblin Emperor by Katherine Addison](https://app.thestorygraph.com/books/2e9fc3bc-ac19-4a99-a519-a00919266f46). I'm only halfway through so I can't comment fully on it, but what I've read so far I like a lot. It's about Maia, an exiled half-goblin son of the Elflands Emperor, who becomes the titular goblin emperor after his father and brothers die in an airship crash. I'll probably have more to say about this next week.

Outside of reading I've spent a fair amount of time planning and structuring my voxel project. I decided to start from scratch with a cleaner approach with things separated out into standalone crates. So far I've been focusing on [CRAWL (Core Rendering and Windowing Library)](https://jayrude.dev/gitea/NERV/CRAWL) which is mostly ripped out of the previous project and primarily serves to wrap [wgpu](https://wgpu.rs/) and give me a base application to build from. There's no rendered voxels yet, and when I do start rendering them I'm going to keep it simple to begin with. Just a small voxel sphere that will let me get the architecture set up nicely for adding other rendering techniques. I'm hoping to get those first voxels in this week.

I started playing [Escape Simulator](https://store.steampowered.com/app/1435790/Escape_Simulator/) again. There were a few extra levels and free DLCs that I hadn't played before. I'll probably start playing some custom community maps and maybe make my own. Also the [Ashlands trailer](https://youtu.be/XSVbXgBJIuI) for Valheim came out along with the public test branch with Ashlands on! I've been waiting for this for ages so I'll probably start up a new world soon and by the time Ashlands fully releases I should be ready to take it on.