+++
title = 'Weeknotes 2024: 23/52'
date = 2024-06-09T19:36:43+01:00
+++

## Programming
Didn't do much programming this week, just felt too tired to use my brain much. One of my friends started messing with voxels in [Unreal Engine](https://www.unrealengine.com/), so I downloaded it (it took many hours) and got some basic chunking and meshing implemented. Obviously I've done a lot of voxel stuff before, so it wasn't really about that for me. I just wanted to give the engine a try.

{{< figure src="unreal_voxels.webp#center" caption="Wow look at all that lumen global illumination! It looks like shit!">}}

Ultimately I decided I didn't really like the dev experience. After each code change you need to rebuild (makes sense) and completely restart the editor (????). There is a hot-reloading system, two actually, but one of them is thoroughly unrecommended because it can cause asset corruption (wtf) and the other didn't seem to work for me. Some reading around it suggests it might be windows only, I'm not sure.

The restarting is fine if you're primarily working in the engine editor but you're not always doing that yknow. I'd be able to work past the restarting if the integration with my code editor of choice didn't suck. Unreal only *really* supports Visual Studio and Jetbrains Rider. Visual Studio is windows only, and Rider costs like £125 a year. It has documentation on getting set up for using Visual Studio Code (which is completely different to Visual Studio) which I use for all my programming already anyway, but the intellisense was basically non-functional and apparently that's a common experience.

## Reading
I'm about halfway through [A Desolation Called Peace by Arkady Martine](https://app.thestorygraph.com/books/a551a4c2-1fe3-44ed-a457-9e5f14eaa380), the follow up to [A Memory Called Empire](https://app.thestorygraph.com/books/64ddadda-b4ab-4f8d-9f7d-5fc1d5930cfd) which I finished last week. It's a first contact story and I'm liking it so far. The aliens feel a bit generic but they're sort of not really the main focus? It's still primarily a space opera with lots of politics and a focus on the personal relationship between two of the main characters from the previous book.

## Other
The summer season of europes League of Legends esports league started on saturday. I don't play the game anymore (new anti-cheat isn't linux compatible), but I've been watching pro League for 9 years now and I still love it. I don't watch every game, but I do try and watch a majority of them.

I routed and ran the max respect (basically 100% completion) speedrun category of the wonderful game [Ballistic Zen](https://store.steampowered.com/app/1966930/Ballistic_Zen/). As well as Steam (linked above) it's also available for [free on itch.io](https://footnotesforthefuture.itch.io/ballistic-zen) if you want to play it. It's a first person flowy movement platformer. I actually started this a few weeks back, but I only got around to routing one area at the time. This week I did the other 4 areas. Someone else had actually done a run of this category recently, but both the run and the route were pretty unpolished so I started from scratch. I only did two actual runs after routing, but I ended up with a time of 26 minutes 40 seconds and 767 milliseconds. You can watch the run [here](https://youtu.be/hF39wpfmHls).